Subject: Re: Virtual Link

From: Don Goodspeed <[email-masked]>
Date: Tue, 30 Jul 2002 14:41:19 -0400

Acee,

Could not have said it better myself.  I always tell
people "Remember, a virtual-link is like a physical
point-to-point link strung directly between the two
endpoint routers and it always belongs to area 0."

The only caveat is that if there are multiple end-points,
it will chose the path to the nearest end-point, not
necessarily the endpoint with the virtual-link configured
on it.

-don

 --- On Tue 07/30, Acee Lindem  wrote:
From: Acee Lindem [mailto: [email-masked]]
To: [email-masked]
Date: Tue, 30 Jul 2002 02:15:04 -0400
Subject: Re: Virtual Link

> Amit Srivastava wrote:
>
> > Hi All,
> >     I agree wih Don as we can have the virtual Link
> > configured between two ABRs even though they are not
> > connected to the backbone.
>
>
> Hello Amit,
>
> I agree that a virtual link can be "configured" without
> a backbone connection.  However, the virtual link is a
> backbone interface and once it is "active" both ABRs
> will be connected to the backbone.
>
> > It is also documented in
> > the Alternative ABR implementation document by ietf.
>
>
> This is an informational draft.
>
>
> > My doubt is that in this case the virtual Link will
> > come up but will there be any traffic flowing over the
> > virtual Link as i think only backbone traffice flows
> > over the virtual Link.
>
>
> Actually, this is inaccurate. Backbone traffic may flow
> over the transit area corresponding to the virtual link (refer
> to section 16.3 in RFC 2328) - not necessarily the virtual link
> itself. However, you are correct that the virtual link will only
> be a factor in the route calculation for backbone traffic.
>
>
> > What do you Say Don and Acee
> > Regards
> > Amit
> >

------------------------------------------------
Join Excite! - http://www.excite.com
The most personalized portal on the Web!

---

From: Don Goodspeed <[email-masked]>
Date: Tue, 30 Jul 2002 14:45:22 -0400

Joesph,

Also remember that the RFC says the purpose of a virtual-link
is to establish/maintain backbone connectivity.  The point
of this chain is that most people forget about the "establish"
part of that statement when discussing virtual-links.

So, yes, that would be a 4th purpose.

Cheers,
Don

Date: Tue, 30 Jul 2002 08:50:58 -0400

> Joseph Placid wrote:
>
> > Hi Acee,
> >         You wrote - " virtual link can be configured without a
> backbone connection". From what I understand, Virtual links are used
> for
> >         1) Maintaining a Hub-and-Spoke topology between Backbone area
> and the Non-Backbone areas.
> >         2) Connecting physically seperate components of the
> backbone.
> >         3) Providing redundant paths for connectivity between
> Backbone and Non-Backbone areas.
> > Since all of the above conditions involve at least one Backbone
> Router, how can the virtual link be configured without a backbone
> connection?
>
> > Or does a virtual link have uses other than the ones mentioned
> above?
>
>
> Joseph,
>
> Although it wouldn't be a common topology, the backbone could be
> completely
> virtual.  In other words, only virtual links connect ABRs though common
> transit area(s). Perhaps, the ambiguity of "connected" in Amit's
> initial
> query caused the confusion. What I trying to articulate in the response
> below is
> that the virtual link is a backbone interface and once it is active (i.e.,
> there
> is a route to it through the transit area), the ABR is attached to the
> backbone.
>
> Thanks,
>
> Acee
>